QStrIList(3qt)

NAME
QStrIList - Doubly linked list of char* with case insensitive compare

SYNOPSIS

#include <qstrlist.h>

Inherits QStrList.

  Public Members
QStrIList ( bool deepCopies=TRUE )
~QStrIList ()

DESCRIPTION
The QStrIList class provides a doubly linked list of char* with case insensitive compare.

This class is a QList<char> instance (a list of char*).

QStrIList is similar to QStrList except that it is case insensitive. The virtual compareItems() function is reimplemented and does a case insensitive string comparision. The inSort() function will insert strings in a sorted order.

The QStrListIterator class is an iterator for QStrList.

MEMBER FUNCTION DOCUMENTATION

QStrIList::QStrIList ( bool deepCopies=TRUE )
Constructs a list of strings. Will make deep copies of all inserted strings if deepCopies is TRUE, or uses shallow copies if deepCopies is FALSE.

QStrIList::~QStrIList ()
Destroys the list. All strings are removed.

SEE ALSO
http://www.troll.no/qt/qstrilist.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.